***

title: update
slug: /reference/typescript/rest/fabric/call-flows/update
description: Replace a call flow resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Replace a call flow resource. Uses PUT for full replacement.

<EndpointSchemaSnippet endpoint="PUT /api/fabric/resources/call_flows/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="PUT /api/fabric/resources/call_flows/{id}" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com"
});

const updated = await client.fabric.callFlows.update("flow-id", {
  title: "Updated IVR Flow",
});
console.log(`Updated: ${updated.display_name}`);
```